- Aldebaran documentation |
- C++ Libraries |
- index

alrobotmodel 2.8.7.4

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
Public Member Functions | List of all members
Sim::AngleSpeedSensor Class Reference

AngleSpeedSensor is a class defining an angle speed sensor. It is attached to an angle speed motor (it has the same name) and can measure its angle speed. More...

`#include <alrobotmodel.h>`

## Public Member Functions
| AngleSpeedSensor ()
| creates an empty AngleSpeedSensor, you should not use this. More...
| ~AngleSpeedSensor ()
| destructor. More...
virtual int | bufferSize () const
| returns the maximum size of the buffer of a measure from the AngleSpeedSensor in bits. More...
Public Member Functions inherited from Sim::DCMSensor
| DCMSensor ()
| creates an empty DCMSensor, you should not use this. More...
| ~DCMSensor ()
| destructor More...
const std::vector< std::string > & | dcmKeys () const
| returns a vector of the full strings in the DCM concerning this sensor. This keys can be used directly to get data. More...
std::vector< std::string > | fullDcmKeys () const
| returns a vector of the full strings in the DCM concerning this More...
const std::vector< std::string > & | dcmStateKeys () const
| returns a vector of the strings in the DCM concerning the state keys of this sensor. More...
const std::vector< std::string > & | dcmCommandKeys () const
| returns a vector of the string in the DCM concerning the command keys of this sensor. These keys are useful to command the sensor More...
Public Member Functions inherited from Sim::Sensor
| Sensor ()
| creates an empty Sensor, you should not use this. More...
| ~Sensor ()
| destructor. More...
const Frame * | frame () const
| returns the Frame of the Sensor. More...
virtual const std::string & | name () const
| returns the name of the Sensor. More...
Type | type () const
| returns the Type of the Sensor. More...

## Additional Inherited Members
Public Types inherited from Sim::Sensor
enum | Type { ANGLE, COUPLED, SONAR, CAMERA, FSR, INERTIAL, BUMPER, TORQUE, ANGLE_SPEED, WHEEL_VELOCITY, TACTILE, DEPTH_INFRARED, SINGLE_DEPTH, ARRAY_DEPTH, CAMERA_DEPTH, MICROPHONE }
| gives the type of the Sensor. More...
Public Attributes inherited from Sim::Sensor
class SensorImpl * | a_impl
| private implementation. More...

## Detailed Description

AngleSpeedSensor is a class defining an angle speed sensor. It is attached to an angle speed motor (it has the same name) and can measure its angle speed.

Definition at line 1011 of file alrobotmodel.h.

## Constructor & Destructor Documentation

Sim::AngleSpeedSensor::AngleSpeedSensor | ( |  | ) |

creates an empty AngleSpeedSensor, you should not use this.

Warning
  The AngleSpeedSensor being empty, every access to this object will throw.

Sim::AngleSpeedSensor::~AngleSpeedSensor | ( |  | ) |

destructor.

## Member Function Documentation

virtual int Sim::AngleSpeedSensor::bufferSize | ( |  | ) | const
| virtual

returns the maximum size of the buffer of a measure from the AngleSpeedSensor in bits.

Implements Sim::DCMSensor.

The documentation for this class was generated from the following file:

- /home/opennao/work/release-2.8/agility/alrobotmodel/libalrobotmodel/alrobotmodel/alrobotmodel.h